//wersja 1.0
//(c) by Marcin Wiacek (http://marcin-wiacek.topnet.pl)
//konwersja polskich liter
//wywoanie: standard1 standard2 plik_zrodlowy plik_docelowy
//standard1 - standard, z ktorego przekodowywujemy
//standard2 - standard, na ktorego przekodowywujemy

function konwertuj(tekst,z,na)
{
  var wynik="";
  for (var j=0;j<tekst.length;++j)
  {
    var literka=tekst.charAt(j);
    for (var i=0;i<18;++i)
    {
      if (literka==z.charAt(i))
      {
        literka=na.charAt(i);
        break;
      }
    }
    wynik=wynik+literka;
  }
  return wynik;
}

function sciezka(adres)
{
  var wynik='';
  for (var i=0;i<adres.length;++i)
  {
    if (adres.charAt(i)=='\\')
    {
      wynik=wynik+'//';
    } else
    {
      wynik=wynik+adres.charAt(i);
    }
  }
  return wynik;
}

function formatuj(nazwa)
{
  var nazwa2=nazwa.toUpperCase();
  var wynik='';
  if (nazwa2=="LATIN2")    wynik="䢘"; //CP852
  if (nazwa2=="WINDOWS")   wynik="󜿟ʣӌ"; //Win1250
  if (nazwa2=="ISO")       wynik="󶿼ʣӦ"; //ISO-8859-2
  if (nazwa2=="LACINSKIE") wynik="acelnoszzACELNOSZZ"; //bez ogonkow
  if (wynik=="") WScript.Echo("Nie rozpoznaj standardu kodowania polskich liter "+nazwa);
  return wynik;
}

// Odczytanie argumentw wywoania skryptu
var WSHShell = WScript.CreateObject("WScript.Shell");
var strArgumenty = WScript.Arguments;

if (strArgumenty.length==4)
{
  var fs=WScript.CreateObject("Scripting.FileSystemObject");

  var z=formatuj(strArgumenty.Item(0));
  var na=formatuj(strArgumenty.Item(1));

  if (z!="" && na!="")
  {
    if (!fs.FileExists(sciezka(strArgumenty.Item(2))))
    {
      WScript.Echo("Plik "+strArgumenty.Item(2)+" nie istnieje !");
    } else
    {
      //tworzymy nowy plik
      fs.CreateTextFile(sciezka(strArgumenty.Item(3)));
      var f=fs.GetFile(sciezka(strArgumenty.Item(3)));
      var fs2=f.OpenAsTextStream(2,0);

      //otwieramy plik do odczytu
      var f=fs.GetFile(sciezka(strArgumenty.Item(2)));
      var fs1=f.OpenAsTextStream(1,0);
      while (!fs1.AtEndOfStream)
      {
        //czytamy wszystkie linie
        linia=fs1.ReadLine();
        fs2.WriteLine(konwertuj(linia,z,na));
      }

      //zamykamy pliki
      fs1.close();
      fs2.close();
    }
  }
} else
{
  WScript.Echo("Za ilo parameterw !");
}